---
- name: Tinc rc.d script (FreeBSD)
  copy:
    src: rc.d-tincd
    dest: "{{ _rcddir }}/tincd"
    mode: 0755
  delegate_to: localhost

- name: Tinc rc.conf.d global file (FreeBSD)
  template:
    src: rc.conf-global.j2
    dest: "{{ _rcconfdir }}/COMMON"
    mode: 0644
  delegate_to: localhost

- name: Tinc rc.conf.d instance file (FreeBSD)
  template:
    src: rc.conf-instance.j2
    dest: "{{ _rcconfdir }}/{{ tinc_name }}"
    mode: 0644
  delegate_to: localhost
